﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Web.Services;

public partial class CS : System.Web.UI.Page
{
    [WebMethod]
    public static List<ListItem> GetFruits()
    {
        string query = "SELECT FruitId, FruitName FROM Fruits";
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        List<ListItem> fruits = new List<ListItem>();
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(query))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter())
                {
                    cmd.Connection = con;
                    sda.SelectCommand = cmd;
                    using (DataTable dt = new DataTable())
                    {
                        con.Open();
                        using (SqlDataReader sdr = cmd.ExecuteReader())
                        {
                            while (sdr.Read())
                            {
                                fruits.Add(new ListItem
                                {
                                    Text = sdr["FruitName"].ToString(),
                                    Value = sdr["FruitId"].ToString()
                                });
                            }
                        }
                        con.Close();
                    }
                }
            }
        }
        return fruits;
    }

    protected void Submit(object sender, EventArgs e)
    {
        string fruitIds = Request.Form["FruitId"];
        string fruitNames = Request.Form["FruitName"];
        ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Id: " + fruitIds + "\\nText: " + fruitNames + "');", true);
    }
}